<?php


namespace app\live\controller;

use vitphp\admin\controller\BaseController;
use think\facade\Db;
use think\facade\View;

/**
 * @title 对接微信
 * Class Site
 * @package app\live\controller
 */
class Site extends BaseController
{
    /**
     * @title 对接微信
     */
    public function weixin(){
        $pid = input('pid');
        $weixin = Db::name('live_weixin')->where('pid',$pid)->find();
        if(request()->isPost()){
            $param = [
                'pid'=>input('pid'),
                'name'=>input('name'),
                'appid'=>input('appid'),
                'appsecret'=>input('appsecret'),
                'mchid'=>input('mchid'),
                'apikey'=>input('apikey'),
                'authdomain'=>input('authdomain')
            ];
            if ($weixin){
                $res = Db::name('live_weixin')->where('pid',$pid)->update($param);
            }else{
                $res = Db::name("live_weixin")->save($param);
            }
            if($res){
                $this->success("保存成功！", ToUrl('/live/site/weixin'));
            }else{
                $this->error("保存失败！");
            }
        }
        View::assign([
           'weixin'=>isset($weixin)?$weixin:'',
        ]);
        return View::fetch();
    }
}