<?php


namespace app\live\controller;


use think\facade\Db;
use think\facade\Request;
use think\facade\View;
use vitphp\admin\controller\BaseController;

/**
 * @title 首页设置
 */
class Pcsetup extends BaseController
{
    /**
     * @title 首页设置
     */
    public function index(){
        $pid = input('pid');
        $domain = Request::domain();
        $pcsetup = Db::name('live_pcsetup')->where('pid',$pid)->find();
        if($pcsetup){
            $pcsetup['hdp'] = $pcsetup['hdp'] ? json_decode($pcsetup['hdp'], true) : [];
        }
        if(request()->isPost()) {
            $hdp = $this->getHdp();
            $param = [
                'pid' => input('pid'),
                'title' => input('title'),
                'fximg' => input('fximg'),
                'share_desc' => input('share_desc'),
                'banner' => input('banner'),
                'index_img_url' => input('index_img_url'),
                'gonggao' => input('gonggao'),
                'hdp' => $hdp ? json_encode($hdp) : ''
            ];
            if ($pcsetup) {
                Db::name('live_pcsetup')->where('pid', $pid)->update($param);
            } else {
                Db::name("live_pcsetup")->save($param);
            }
            $this->success("保存成功！", ToUrl('/live/pcsetup/index'));
        }
        View::assign([
           'pcsetup'=>$pcsetup,
           'domain'=>$domain
        ]);
        return View::fetch();
    }

    private function getHdp()
    {
        $hdp = [];
        $hdpImg = input('hdp_img');
        $hdpUrl = input('hdp_url');
        if(!$hdpImg) return $hdp;
        foreach($hdpImg as $k => $img){
            if(!$img) $this->error('请上传幻灯片图片');
            $hdp[] = [
                'img' => $img,
                'url' => $hdpUrl[$k] ?? ''
            ];
        }
        return $hdp;
    }
}