<?php


namespace app\live\controller;


use think\facade\Db;
use think\facade\View;
use vitphp\admin\controller\BaseController;

/**
 * @title 系统设置
 * Class Setup
 * @package app\live\controller
 */
class Setup extends BaseController
{
    /**
     * @title 系统设置
     */
    public function index(){
        $pid = input('pid');
        $setup = Db::name('live_setup')->where('pid',$pid)->find();
        if(request()->isPost()){
            $param = [
                'pid'=>input('pid'),
                'AccessKeyId'=>input('AccessKeyId'),
                'AccessSecret'=>input('AccessSecret'),
                'DomainName'=>input('DomainName'),
                'PushFlow'=>input('PushFlow'),
                'AuthMainKey'=>input('AuthMainKey'),
                'boliukey'=>input('boliukey'),
                'appname'=>input('appname')
            ];
            if ($setup){
                $res = Db::name('live_setup')->where('pid',$pid)->update($param);
            }else{
                $res = Db::name("live_setup")->save($param);
            }
            if($res){
                $this->success("保存成功！", ToUrl('/live/setup/index'));
            }else{
                $this->error("保存失败！");
            }
        }
        View::assign([
            'setup'=>isset($setup)?$setup:'',
        ]);

        return View::fetch();
    }
}